Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032938
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2016-05-12 09:582016-06-20 12:38
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032938: It is necessary a script to add the 1-1 relation between sales invoice line and goods shipment line

DescriptionIt is necessary a script to add the 1-1 relation between sales invoice line and goods shipment line. This association should not be done when there are more than one good shipment lines associated with the same invoice line
Steps To ReproduceAs group admin role:
   Launch the Sales Invoice Dimensional Report
   Add the Product and DocumentNo dimension
   Check that a cost of 0 is shown for the sales invoice lines with the goods shipment line empty
TagsNo tags attached.
Attached Files? file icon 32938.sql [^] (1,034 bytes) 2016-06-20 12:38

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024355 closedAtulOpenbravo Openbravo ERP "Good Shipment Line" field information is not filled when creating POS Order with Invoice Terms=Immediate 
related to defect 0028685pi closedreinaldoguerra Openbravo ERP Goods shipment and invoice relationship not created when launching "Create shipments from orders" form. 
related to defect 0024147RMP25 closedmarvintm Retail Modules Goods Shipment Line field not filled in Sales Invoice Lines 
related to defect 0032670 closedcollazoandy4 Openbravo ERP "Good Shipment Line" field information is not filled in Sales Invoice Line when processing On Credit Order 
related to defect 0032709 closedAtulOpenbravo Openbravo ERP Sales Invoice - Invoice Term=Immediate does not create link to Good Shipment in Sales Invoice 
related to design defect 0033042 newTriage Finance Openbravo ERP Partially shipped Goods Shipment Line is linked to completely invoiced Sales Invoice Line 
related to design defect 0032061 newTriage Finance Openbravo ERP No "Cost" information shown in Sales Invoice Dimensional Report in case there is no 1 to 1 relation between SO line and GS line 

-  Notes
(0087312)
aferraz (developer)
2016-06-15 17:09

Attached query to fix data

- Issue History
Date Modified Username Field Change
2016-05-12 09:58 ngarcia New Issue
2016-05-12 09:58 ngarcia Assigned To => Triage Finance
2016-05-12 09:58 ngarcia Modules => Core
2016-05-12 09:58 ngarcia Triggers an Emergency Pack => No
2016-05-12 10:00 ngarcia Issue Monitored: networkb
2016-05-12 10:00 ngarcia Relationship added related to 0024355
2016-05-12 10:00 ngarcia Relationship added related to 0028685
2016-05-12 10:00 ngarcia Relationship added related to 0024147
2016-05-12 10:01 ngarcia Relationship added depends on 0032670
2016-05-12 10:01 ngarcia Relationship added depends on 0032709
2016-05-12 10:01 ngarcia Relationship deleted depends on 0032670
2016-05-12 10:01 ngarcia Relationship deleted depends on 0032709
2016-05-12 10:02 ngarcia Relationship added related to 0032670
2016-05-12 10:02 ngarcia Relationship added related to 0032709
2016-05-12 11:43 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-05-12 14:21 heccam Issue Monitored: heccam
2016-05-27 10:32 yogaskarnik Issue Monitored: yogaskarnik
2016-05-31 08:53 AtulOpenbravo Status new => scheduled
2016-05-31 10:28 aferraz Relationship added related to 0033042
2016-06-15 17:07 aferraz File Added: 32938.sql
2016-06-15 17:09 aferraz Review Assigned To => aferraz
2016-06-15 17:09 aferraz Note Added: 0087312
2016-06-15 17:09 aferraz Status scheduled => closed
2016-06-15 17:09 aferraz Resolution open => fixed
2016-06-15 17:09 aferraz Fixed in Version => 3.0PR16Q3
2016-06-20 12:37 aferraz File Deleted: 32938.sql
2016-06-20 12:38 aferraz File Added: 32938.sql
2016-10-17 12:51 ngarcia Relationship added related to 0032061


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker